moeoVectorVsSolutionBM(3)

NAME
moeoVectorVsSolutionBM - Base class for binary metrics dedicated to the performance comparison between a Pareto set (a vector of Pareto fitnesses) and a single solution's Pareto fitness.

SYNOPSIS

#include <moeoMetric.h>

Inherits moeoBM< A1, A2, R >< const const std::vector< EOFitness > &, EOFitness &, R >.

Detailed Description

  template<class EOT, class R, class EOFitness = typename EOT::Fitness> class moeoVectorVsSolutionBM< EOT, R, EOFitness >
Base class for binary metrics dedicated to the performance comparison between a Pareto set (a vector of Pareto fitnesses) and a single solution's Pareto fitness.

Definition at line 82 of file moeoMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.